# This file created by conda-build 3.18.9
# meta.yaml template originally from:
# /Volumes/localdisk/tools/tc/agent2/work/96dacbea7f6bd114/grpc-cpp-recipe/recipe, last modified Tue Apr 20 04:53:05 2021
# ------------------------------------------------

package:
    name: grpc-cpp
    version: 1.26.0
source:
    -   sha256: 2fcb7f1ab160d6fd3aaade64520be3e5446fc4c6fa7ba6581afdc4e26094bd81
        url: https://github.com/grpc/grpc/archive/v1.26.0.tar.gz
build:
    number: '1'
    run_exports:
        - grpc-cpp >=1.26.0,<1.27.0a0
    string: hf814323_1
requirements:
    build:
        - bzip2 1.0.8 h90fafae_6
        - ca-certificates 2020.12.5 0
        - cctools 949.0.1 h22b1bf0_1
        - cctools_osx-64 949.0.1 h5ba7a2e_1
        - clang 10.0.0 default_hf57f61e_0
        - clang_osx-64 10.0.0 h05bbb7f_1
        - clangxx 10.0.0 default_hf57f61e_0
        - clangxx_osx-64 10.0.0 h05bbb7f_1
        - cmake 3.14.0 haff7e42_0
        - compiler-rt 10.0.0 h47ead80_0
        - compiler-rt_osx-64 10.0.0 hbcc88fd_0
        - expat 2.2.9 hb1e8313_2
        - intelpython 2021.3.0 0
        - krb5 1.17.1 hddcf347_0
        - ld64 530 1
        - ld64_osx-64 530 h3c32e8a_1
        - libcurl 7.68.0 h051b688_0
        - libcxx 11.0.1 1
        - libedit 3.1.20191231 h7c8b122_1
        - libffi 3.3 13
        - libllvm10 10.0.0 h173fd08_8
        - libssh2 1.9.0 ha12b0ac_1
        - llvm-openmp 10.0.0 h28b9765_0
        - llvm-tools 10.0.0 h17b3f18_8
        - ncurses 6.2 hdcc2493_1
        - ninja 1.9.0 py38h04f5b5a_0
        - openssl 1.1.1k h1de35cc_0
        - python 3.8.8 h2de1aa5_2
        - rhash 1.3.8 ha12b0ac_0
        - sqlite 3.35.2 h90fafae_0
        - tapi 1000.10.8 ha1b3eb9_0
        - tcl 8.6.10 0
        - tk 8.6.10 hab7ae48_2
        - xz 5.2.5 hc21d12f_2
        - zlib 1.2.11.1 h6280584_3
    host:
        - c-ares 1.17.1 h641728e_1
        - ca-certificates 2020.12.5 0
        - gflags 2.2.2 hd68cdfa_1004
        - intelpython 2021.3.0 0
        - libcxx 11.0.1 1
        - libprotobuf 3.14.0 h586e793_0
        - openssl 1.1.1k h1de35cc_0
        - zlib 1.2.11.1 h6280584_3
    run:
        - c-ares >=1.17.1,<2.0a0
        - gflags >=2.2.2,<2.3.0a0
        - libcxx >=10.0.0
        - libprotobuf >=3.14.0,<3.14.1.0a0
        - libprotobuf >=3.14.0,<3.15.0a0
        - openssl >=1.1.1k,<1.1.2a
        - zlib >=1.2.11.1,<1.3.0a0
test:
    commands:
        - grpc_cpp_plugin < /dev/null
about:
    description: '<strong>LEGAL NOTICE: Use of this software package is subject to
        the

        software license agreement (as set forth above, in the license section of

        the installed Conda package and/or the README file) and all notices,

        disclaimers or license terms for third party or open source software

        included in or with the software.</strong>

        <br/><br/>

        EULA: <a href="https://opensource.org/licenses/Apache-2.0" target="_blank">Apache-2.0</a>

        <br/><br/>


        gRPC is a modern, open source, high-performance remote procedure call

        (RPC) framework that can run anywhere. gRPC enables client and server

        applications to communicate transparently, and simplifies the building

        of connected systems.


        This package contains the gRPC C++ libraries and header files, as well

        as the code generation plugins.

        '
    doc_url: https://grpc.io/docs/
    home: https://grpc.io/
    license: Apache-2.0
    license_family: APACHE
    license_file: LICENSE
    summary: gRPC - A high-performance, open-source universal RPC framework
extra:
    copy_test_source_files: true
    final: true
